#!/bin/bash

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/john/john.conf.new


( cd usr/bin ; rm -rf 1password2john )
( cd usr/bin ; ln -sf /usr/libexec/john/1password2john.py 1password2john )
( cd usr/bin ; rm -rf 7z2john )
( cd usr/bin ; ln -sf /usr/libexec/john/7z2john.pl 7z2john )
( cd usr/bin ; rm -rf DPAPImk2john )
( cd usr/bin ; ln -sf /usr/libexec/john/DPAPImk2john.py DPAPImk2john )
( cd usr/bin ; rm -rf SIPdump )
( cd usr/bin ; ln -sf /usr/libexec/john/SIPdump SIPdump )
( cd usr/bin ; rm -rf adxcsouf2john )
( cd usr/bin ; ln -sf /usr/libexec/john/adxcsouf2john.py adxcsouf2john )
( cd usr/bin ; rm -rf aem2john )
( cd usr/bin ; ln -sf /usr/libexec/john/aem2john.py aem2john )
( cd usr/bin ; rm -rf aix2john )
( cd usr/bin ; ln -sf /usr/libexec/john/aix2john.pl aix2john )
( cd usr/bin ; rm -rf andotp2john )
( cd usr/bin ; ln -sf /usr/libexec/john/andotp2john.py andotp2john )
( cd usr/bin ; rm -rf androidbackup2john )
( cd usr/bin ; ln -sf /usr/libexec/john/androidbackup2john.py androidbackup2john )
( cd usr/bin ; rm -rf androidfde2john )
( cd usr/bin ; ln -sf /usr/libexec/john/androidfde2john.py androidfde2john )
( cd usr/bin ; rm -rf ansible2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ansible2john.py ansible2john )
( cd usr/bin ; rm -rf apex2john )
( cd usr/bin ; ln -sf /usr/libexec/john/apex2john.py apex2john )
( cd usr/bin ; rm -rf applenotes2john )
( cd usr/bin ; ln -sf /usr/libexec/john/applenotes2john.py applenotes2john )
( cd usr/bin ; rm -rf aruba2john )
( cd usr/bin ; ln -sf /usr/libexec/john/aruba2john.py aruba2john )
( cd usr/bin ; rm -rf axcrypt2john )
( cd usr/bin ; ln -sf /usr/libexec/john/axcrypt2john.py axcrypt2john )
( cd usr/bin ; rm -rf bestcrypt2john )
( cd usr/bin ; ln -sf /usr/libexec/john/bestcrypt2john.py bestcrypt2john )
( cd usr/bin ; rm -rf bitcoin2john )
( cd usr/bin ; ln -sf /usr/libexec/john/bitcoin2john.py bitcoin2john )
( cd usr/bin ; rm -rf bitlocker2john )
( cd usr/bin ; ln -sf /usr/libexec/john/bitlocker2john bitlocker2john )
( cd usr/bin ; rm -rf bitshares2john )
( cd usr/bin ; ln -sf /usr/libexec/john/bitshares2john.py bitshares2john )
( cd usr/bin ; rm -rf bitwarden2john )
( cd usr/bin ; ln -sf /usr/libexec/john/bitwarden2john.py bitwarden2john )
( cd usr/bin ; rm -rf bks2john )
( cd usr/bin ; ln -sf /usr/libexec/john/bks2john.py bks2john )
( cd usr/bin ; rm -rf blockchain2john )
( cd usr/bin ; ln -sf /usr/libexec/john/blockchain2john.py blockchain2john )
( cd usr/bin ; rm -rf calc_stat )
( cd usr/bin ; ln -sf /usr/libexec/john/calc_stat calc_stat )
( cd usr/bin ; rm -rf ccache2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ccache2john.py ccache2john )
( cd usr/bin ; rm -rf cisco2john )
( cd usr/bin ; ln -sf /usr/libexec/john/cisco2john.pl cisco2john )
( cd usr/bin ; rm -rf codepage )
( cd usr/bin ; ln -sf /usr/libexec/john/codepage.pl codepage )
( cd usr/bin ; rm -rf cprepair )
( cd usr/bin ; ln -sf /usr/libexec/john/cprepair cprepair )
( cd usr/bin ; rm -rf cracf2john )
( cd usr/bin ; ln -sf /usr/libexec/john/cracf2john.py cracf2john )
( cd usr/bin ; rm -rf dashlane2john )
( cd usr/bin ; ln -sf /usr/libexec/john/dashlane2john.py dashlane2john )
( cd usr/bin ; rm -rf deepsound2john )
( cd usr/bin ; ln -sf /usr/libexec/john/deepsound2john.py deepsound2john )
( cd usr/bin ; rm -rf diskcryptor2john )
( cd usr/bin ; ln -sf /usr/libexec/john/diskcryptor2john.py diskcryptor2john )
( cd usr/bin ; rm -rf dmg2john )
( cd usr/bin ; ln -sf /usr/libexec/john/dmg2john.py dmg2john )
( cd usr/bin ; rm -rf eapmd5tojohn )
( cd usr/bin ; ln -sf /usr/libexec/john/eapmd5tojohn eapmd5tojohn )
( cd usr/bin ; rm -rf ecryptfs2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ecryptfs2john.py ecryptfs2john )
( cd usr/bin ; rm -rf ejabberd2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ejabberd2john.py ejabberd2john )
( cd usr/bin ; rm -rf electrum2john )
( cd usr/bin ; ln -sf /usr/libexec/john/electrum2john.py electrum2john )
( cd usr/bin ; rm -rf encfs2john )
( cd usr/bin ; ln -sf /usr/libexec/john/encfs2john.py encfs2john )
( cd usr/bin ; rm -rf enpass2john )
( cd usr/bin ; ln -sf /usr/libexec/john/enpass2john.py enpass2john )
( cd usr/bin ; rm -rf ethereum2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ethereum2john.py ethereum2john )
( cd usr/bin ; rm -rf filezilla2john )
( cd usr/bin ; ln -sf /usr/libexec/john/filezilla2john.py filezilla2john )
( cd usr/bin ; rm -rf fuzz_option )
( cd usr/bin ; ln -sf /usr/libexec/john/fuzz_option.pl fuzz_option )
( cd usr/bin ; rm -rf geli2john )
( cd usr/bin ; ln -sf /usr/libexec/john/geli2john.py geli2john )
( cd usr/bin ; rm -rf genincstats )
( cd usr/bin ; ln -sf /usr/libexec/john/genincstats.rb genincstats )
( cd usr/bin ; rm -rf genmkvpwd )
( cd usr/bin ; ln -sf /usr/libexec/john/genmkvpwd genmkvpwd )
( cd usr/bin ; rm -rf hccap2john )
( cd usr/bin ; ln -sf /usr/libexec/john/hccap2john hccap2john )
( cd usr/bin ; rm -rf hccapx2john )
( cd usr/bin ; ln -sf /usr/libexec/john/hccapx2john.py hccapx2john )
( cd usr/bin ; rm -rf hextoraw )
( cd usr/bin ; ln -sf /usr/libexec/john/hextoraw.pl hextoraw )
( cd usr/bin ; rm -rf htdigest2john )
( cd usr/bin ; ln -sf /usr/libexec/john/htdigest2john.py htdigest2john )
( cd usr/bin ; rm -rf ibmiscanner2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ibmiscanner2john.py ibmiscanner2john )
( cd usr/bin ; rm -rf ikescan2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ikescan2john.py ikescan2john )
( cd usr/bin ; rm -rf ios7tojohn )
( cd usr/bin ; ln -sf /usr/libexec/john/ios7tojohn.pl ios7tojohn )
( cd usr/bin ; rm -rf itunes_backup2john )
( cd usr/bin ; ln -sf /usr/libexec/john/itunes_backup2john.pl itunes_backup2john )
( cd usr/bin ; rm -rf iwork2john )
( cd usr/bin ; ln -sf /usr/libexec/john/iwork2john.py iwork2john )
( cd usr/bin ; rm -rf john-mailer )
( cd usr/bin ; ln -sf /usr/libexec/john/john-mailer john-mailer )
( cd usr/bin ; rm -rf kdcdump2john )
( cd usr/bin ; ln -sf /usr/libexec/john/kdcdump2john.py kdcdump2john )
( cd usr/bin ; rm -rf keepass2john )
( cd usr/bin ; ln -sf /usr/libexec/john/keepass2john keepass2john )
( cd usr/bin ; rm -rf keychain2john )
( cd usr/bin ; ln -sf /usr/libexec/john/keychain2john.py keychain2john )
( cd usr/bin ; rm -rf keyring2john )
( cd usr/bin ; ln -sf /usr/libexec/john/keyring2john.py keyring2john )
( cd usr/bin ; rm -rf keystore2john )
( cd usr/bin ; ln -sf /usr/libexec/john/keystore2john.py keystore2john )
( cd usr/bin ; rm -rf kirbi2john )
( cd usr/bin ; ln -sf /usr/libexec/john/kirbi2john.py kirbi2john )
( cd usr/bin ; rm -rf known_hosts2john )
( cd usr/bin ; ln -sf /usr/libexec/john/known_hosts2john.py known_hosts2john )
( cd usr/bin ; rm -rf krb2john )
( cd usr/bin ; ln -sf /usr/libexec/john/krb2john.py krb2john )
( cd usr/bin ; rm -rf kwallet2john )
( cd usr/bin ; ln -sf /usr/libexec/john/kwallet2john.py kwallet2john )
( cd usr/bin ; rm -rf lastpass2john )
( cd usr/bin ; ln -sf /usr/libexec/john/lastpass2john.py lastpass2john )
( cd usr/bin ; rm -rf ldif2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ldif2john.pl ldif2john )
( cd usr/bin ; rm -rf leet )
( cd usr/bin ; ln -sf /usr/libexec/john/leet.pl leet )
( cd usr/bin ; rm -rf libreoffice2john )
( cd usr/bin ; ln -sf /usr/libexec/john/libreoffice2john.py libreoffice2john )
( cd usr/bin ; rm -rf lion2john )
( cd usr/bin ; ln -sf /usr/libexec/john/lion2john.pl lion2john )
( cd usr/bin ; rm -rf lion2john-alt )
( cd usr/bin ; ln -sf /usr/libexec/john/lion2john-alt.pl lion2john-alt )
( cd usr/bin ; rm -rf lotus2john )
( cd usr/bin ; ln -sf /usr/libexec/john/lotus2john.py lotus2john )
( cd usr/bin ; rm -rf luks2john )
( cd usr/bin ; ln -sf /usr/libexec/john/luks2john.py luks2john )
( cd usr/bin ; rm -rf mac2john )
( cd usr/bin ; ln -sf /usr/libexec/john/mac2john.py mac2john )
( cd usr/bin ; rm -rf mac2john-alt )
( cd usr/bin ; ln -sf /usr/libexec/john/mac2john-alt.py mac2john-alt )
( cd usr/bin ; rm -rf mcafee_epo2john )
( cd usr/bin ; ln -sf /usr/libexec/john/mcafee_epo2john.py mcafee_epo2john )
( cd usr/bin ; rm -rf mkvcalcproba )
( cd usr/bin ; ln -sf /usr/libexec/john/mkvcalcproba mkvcalcproba )
( cd usr/bin ; rm -rf monero2john )
( cd usr/bin ; ln -sf /usr/libexec/john/monero2john.py monero2john )
( cd usr/bin ; rm -rf money2john )
( cd usr/bin ; ln -sf /usr/libexec/john/money2john.py money2john )
( cd usr/bin ; rm -rf mozilla2john )
( cd usr/bin ; ln -sf /usr/libexec/john/mozilla2john.py mozilla2john )
( cd usr/bin ; rm -rf multibit2john )
( cd usr/bin ; ln -sf /usr/libexec/john/multibit2john.py multibit2john )
( cd usr/bin ; rm -rf neo2john )
( cd usr/bin ; ln -sf /usr/libexec/john/neo2john.py neo2john )
( cd usr/bin ; rm -rf netntlm )
( cd usr/bin ; ln -sf /usr/libexec/john/netntlm.pl netntlm )
( cd usr/bin ; rm -rf netscreen )
( cd usr/bin ; ln -sf /usr/libexec/john/netscreen.py netscreen )
( cd usr/bin ; rm -rf network2john )
( cd usr/bin ; ln -sf /usr/libexec/john/network2john.lua network2john )
( cd usr/bin ; rm -rf office2john )
( cd usr/bin ; ln -sf /usr/libexec/john/office2john.py office2john )
( cd usr/bin ; rm -rf openbsd_softraid2john )
( cd usr/bin ; ln -sf /usr/libexec/john/openbsd_softraid2john.py openbsd_softraid2john )
( cd usr/bin ; rm -rf openssl2john )
( cd usr/bin ; ln -sf /usr/libexec/john/openssl2john.py openssl2john )
( cd usr/bin ; rm -rf padlock2john )
( cd usr/bin ; ln -sf /usr/libexec/john/padlock2john.py padlock2john )
( cd usr/bin ; rm -rf pass_gen )
( cd usr/bin ; ln -sf /usr/libexec/john/pass_gen.pl pass_gen )
( cd usr/bin ; rm -rf pcap2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pcap2john.py pcap2john )
( cd usr/bin ; rm -rf pdf2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pdf2john.pl pdf2john )
( cd usr/bin ; rm -rf pem2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pem2john.py pem2john )
( cd usr/bin ; rm -rf pfx2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pfx2john.py pfx2john )
( cd usr/bin ; rm -rf pgpdisk2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pgpdisk2john.py pgpdisk2john )
( cd usr/bin ; rm -rf pgpsda2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pgpsda2john.py pgpsda2john )
( cd usr/bin ; rm -rf pgpwde2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pgpwde2john.py pgpwde2john )
( cd usr/bin ; rm -rf potcheck )
( cd usr/bin ; ln -sf /usr/libexec/john/potcheck.pl potcheck )
( cd usr/bin ; rm -rf prosody2john )
( cd usr/bin ; ln -sf /usr/libexec/john/prosody2john.py prosody2john )
( cd usr/bin ; rm -rf ps_token2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ps_token2john.py ps_token2john )
( cd usr/bin ; rm -rf pse2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pse2john.py pse2john )
( cd usr/bin ; rm -rf putty2john )
( cd usr/bin ; ln -sf /usr/libexec/john/putty2john putty2john )
( cd usr/bin ; rm -rf pwsafe2john )
( cd usr/bin ; ln -sf /usr/libexec/john/pwsafe2john.py pwsafe2john )
( cd usr/bin ; rm -rf racf2john )
( cd usr/bin ; ln -sf /usr/libexec/john/racf2john racf2john )
( cd usr/bin ; rm -rf radius2john )
( cd usr/bin ; ln -sf /usr/libexec/john/radius2john.pl radius2john )
( cd usr/bin ; rm -rf raw2dyna )
( cd usr/bin ; ln -sf /usr/libexec/john/raw2dyna raw2dyna )
( cd usr/bin ; rm -rf relbench )
( cd usr/bin ; ln -sf /usr/libexec/john/relbench relbench )
( cd usr/bin ; rm -rf rexgen2rules )
( cd usr/bin ; ln -sf /usr/libexec/john/rexgen2rules.pl rexgen2rules )
( cd usr/bin ; rm -rf rulestack )
( cd usr/bin ; ln -sf /usr/libexec/john/rulestack.pl rulestack )
( cd usr/bin ; rm -rf sap2john )
( cd usr/bin ; ln -sf /usr/libexec/john/sap2john.pl sap2john )
( cd usr/bin ; rm -rf sha-dump )
( cd usr/bin ; ln -sf /usr/libexec/john/sha-dump.pl sha-dump )
( cd usr/bin ; rm -rf sha-test )
( cd usr/bin ; ln -sf /usr/libexec/john/sha-test.pl sha-test )
( cd usr/bin ; rm -rf signal2john )
( cd usr/bin ; ln -sf /usr/libexec/john/signal2john.py signal2john )
( cd usr/bin ; rm -rf sipdump2john )
( cd usr/bin ; ln -sf /usr/libexec/john/sipdump2john.py sipdump2john )
( cd usr/bin ; rm -rf ssh2john )
( cd usr/bin ; ln -sf /usr/libexec/john/ssh2john.py ssh2john )
( cd usr/bin ; rm -rf sspr2john )
( cd usr/bin ; ln -sf /usr/libexec/john/sspr2john.py sspr2john )
( cd usr/bin ; rm -rf staroffice2john )
( cd usr/bin ; ln -sf /usr/libexec/john/staroffice2john.py staroffice2john )
( cd usr/bin ; rm -rf strip2john )
( cd usr/bin ; ln -sf /usr/libexec/john/strip2john.py strip2john )
( cd usr/bin ; rm -rf telegram2john )
( cd usr/bin ; ln -sf /usr/libexec/john/telegram2john.py telegram2john )
( cd usr/bin ; rm -rf tezos2john )
( cd usr/bin ; ln -sf /usr/libexec/john/tezos2john.py tezos2john )
( cd usr/bin ; rm -rf tgtsnarf )
( cd usr/bin ; ln -sf /usr/libexec/john/tgtsnarf tgtsnarf )
( cd usr/bin ; rm -rf truecrypt2john )
( cd usr/bin ; ln -sf /usr/libexec/john/truecrypt2john.py truecrypt2john )
( cd usr/bin ; rm -rf uaf2john )
( cd usr/bin ; ln -sf /usr/libexec/john/uaf2john uaf2john )
( cd usr/bin ; rm -rf unafs )
( cd usr/bin ; ln -sf /usr/bin/john unafs )
( cd usr/bin ; rm -rf unique )
( cd usr/bin ; ln -sf /usr/bin/john unique )
( cd usr/bin ; rm -rf unrule )
( cd usr/bin ; ln -sf /usr/libexec/john/unrule.pl unrule )
( cd usr/bin ; rm -rf unshadows )
( cd usr/bin ; ln -sf /usr/bin/john unshadows )
( cd usr/bin ; rm -rf vdi2john )
( cd usr/bin ; ln -sf /usr/libexec/john/vdi2john.pl vdi2john )
( cd usr/bin ; rm -rf vmx2john )
( cd usr/bin ; ln -sf /usr/libexec/john/vmx2john.py vmx2john )
( cd usr/bin ; rm -rf vncpcap2john )
( cd usr/bin ; ln -sf /usr/libexec/john/vncpcap2john vncpcap2john )
( cd usr/bin ; rm -rf wpapcap2john )
( cd usr/bin ; ln -sf /usr/libexec/john/wpapcap2john wpapcap2john )
( cd usr/doc/john-1.9.0_jumbo_1 ; rm -rf README )
( cd usr/doc/john-1.9.0_jumbo_1 ; ln -sf ../README.md README )
